<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" >
<head>
    <th:block th:include="include :: header('新增公众号文章详情')" />
    <th:block th:include="include :: summernote-css" />
    <th:block th:include="include :: bootstrap-fileinput-css"/>
</head>
<body class="white-bg">
<div class="wrapper wrapper-content animated fadeInRight ibox-content">
    <form class="form-horizontal m" id="form-detail-add">
<!--        <div class="form-group">-->
<!--            <label class="col-sm-3 control-label">公众号id：</label>-->
<!--            <div class="col-sm-8">-->
<!--                <input name="publicId" class="form-control" type="text">-->
<!--            </div>-->
<!--        </div>-->
        <div class="form-group">
            <label class="col-sm-3 control-label">公众号：</label>
            <div class="col-sm-8">
                <select id="publicId" name="publicId" class="form-control m-b" required>
                    <option th:each="publicAccount:${publicAccounts}" th:value="${publicAccount.id}" th:text="${publicAccount.name}"></option>
                </select>
            </div>
        </div>
<!--        <div class="form-group">-->
<!--            <label class="col-sm-3 control-label">阅读人数：</label>-->
<!--            <div class="col-sm-8">-->
<!--                <input name="readCount" class="form-control" type="text">-->
<!--            </div>-->
<!--        </div>-->
        <div class="form-group">
            <label class="col-sm-3 control-label">标题：</label>
            <div class="col-sm-8">
                <input name="title" class="form-control" type="text">
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-3 control-label">图片附件：</label>
            <div class="col-sm-8">
                <input name="imgUrl" type="text" hidden>
                <div class="file-loading">
                    <input id="imgUrlFile" name="file" type="file">
                </div>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-3 control-label">详情(富文本)：</label>
            <div class="col-sm-8">
                <input type="hidden" class="form-control" name="content">
                <div class="summernote" id="content"></div>
            </div>
        </div>

<!--        <div class="form-group">-->
<!--            <label class="col-sm-3 control-label">点赞数：</label>-->
<!--            <div class="col-sm-8">-->
<!--                <input name="starCount" class="form-control" type="text">-->
<!--            </div>-->
<!--        </div>-->
        <div class="form-group">
            <label class="col-sm-3 control-label">备注：</label>
            <div class="col-sm-8">
                <input name="remark" class="form-control" type="text">
            </div>
        </div>
    </form>
</div>
<th:block th:include="include :: footer" />
<th:block th:include="include :: summernote-js" />
<th:block th:include="include :: bootstrap-fileinput-js"/>
<script th:inline="javascript">
    var prefix = ctx + "system/playlet/detail"
    $("#form-detail-add").validate({
        focusCleanup: true
    });

    // 详情页
    $("#imgUrlFile").fileinput({
        uploadUrl: ctx + 'tool/oss/uploadFromPlaylet',
        maxFileCount: 1,
        dropZoneEnabled: false,      //是否显示拖拽区域
        showPreview: false,
        autoReplace: true
    }).on('fileuploaded', function (event, data, previewId, index) {
        console.log(data);
        if(data.response.success){
            $("input[name='imgUrl']").val(data.response.msg)
        }else {
            alert("上传失败!");
        }
    }).on('fileremoved', function (event, id, index) {
        $("input[name='" + event.currentTarget.id + "']").val('')
        $("input[name='imgUrl']").val('')
    })

    function submitHandler() {
        if ($.validate.form()) {
            $.operate.save(prefix + "/add", $('#form-detail-add').serialize());
        }
    }

    $(function() {
        $('.summernote').summernote({
            lang: 'zh-CN',
            height: 300,
            dialogsInBody: true,
            callbacks: {
                onChange: function(contents, $edittable) {
                    $("input[name='" + this.id + "']").val(contents);
                },
                onImageUpload: function(files) {
                    var obj = this;
                    var data = new FormData();
                    data.append("file", files[0]);
                    $.ajax({
                        type: "post",
                        url: ctx + "common/upload",
                        data: data,
                        cache: false,
                        contentType: false,
                        processData: false,
                        dataType: 'json',
                        success: function(result) {
                            if (result.code == web_status.SUCCESS) {
                                $('#' + obj.id).summernote('insertImage', result.url);
                            } else {
                                $.modal.alertError(result.msg);
                            }
                        },
                        error: function(error) {
                            $.modal.alertWarning("图片上传失败。");
                        }
                    });
                }
            }
        });
    });
</script>
</body>
</html>